function posun(pic,pic2)
global G;
global M;
%% o kolik se to nebude zmenšovat
[K,L]=size(pic);
pos = floor( K/5 );
pos2 = floor( L/5 );
%% posun a hledání minima
G = zeros(pos, pos2);

for i=1:3:K-pos
    for j=1:3:L-pos2
        D = pic(1+i:K,1+j:L);
        E = pic2(1:end-i,1:end-j);
        G(i,j) = sum(sum(abs(D-E)));
    end
end
G(isnan(G))=1;          % odstraní mi NaN hodnoty
G(~G) = inf;            % zbavím se nul pro hledání minima

[M,I] = min(G(:)); 





end